import request from '@/utils/request'

// 查询企业微信SOP  定时任务列表
export function listQwSopLogs(query) {
  return request({
    url: '/qw/sopLogs/list',
    method: 'get',
    params: query
  })
}

// 查询企业微信SOP  定时任务列表
export function listQwSopLogsList(query) {
  return request({
    url: '/qw/sopLogs/listCVO',
    method: 'get',
    params: query
  })
}

//修改 执行记录为待发送
export function editCourseQwSopLogs(id) {
  return request({
    url: '/qw/sopLogs/editCourseQwSopLogs/' + id,
    method: 'put'
  })
}

// 查询企业微信SOP  定时任务详细
export function getQwSopLogs(id) {
  return request({
    url: '/qw/sopLogs/' + id,
    method: 'get'
  })
}

// 新增企业微信SOP  定时任务
export function addQwSopLogs(data) {
  return request({
    url: '/qw/sopLogs',
    method: 'post',
    data: data
  })
}

// 修改企业微信SOP  定时任务
export function updateQwSopLogs(data) {
  return request({
    url: '/qw/sopLogs',
    method: 'put',
    data: data
  })
}

// 删除企业微信SOP  定时任务
export function delQwSopLogs(id) {
  return request({
    url: '/qw/sopLogs/' + id,
    method: 'delete'
  })
}

// 导出企业微信SOP  定时任务
export function exportQwSopLogs(query) {
  return request({
    url: '/qw/sopLogs/export',
    method: 'get',
    params: query
  })
}
